import { ActionFormData } from "@minecraft/server-ui";
export class Island_Form extends ActionFormData {
    constructor() {
        super(...arguments);
        this.buttons = new Array();
    }
    title(title) {
        super.title(title + "§i§f");
        return this;
    }
    body(text) {
        super.body("§r§f" + text);
        return this;
    }
    button(text, texture) {
        this.buttons.push(text);
        super.button(text, "textures/ui/uncommon/" + texture);
        return this;
    }
    empty(row) {
        this.buttons.push("");
        super.button("row_" + String(row));
    }
}
